Summary: A spam filter for Usenet news servers.
Name: cleanfeed
%define version 0.95.7b
Version: %{version}
Release: 10
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.exit109.com/users/jeremy/cleanfeed-%{version}.tar.gz
Patch0: cleanfeed-0.95.7b-redhat.patch
Buildroot: /var/tmp/cleanfeed-root
BuildArchitectures: noarch

%description
Cleanfeed is an automatic spam filter for Usenet news servers and
routers (INN, Cyclone, Typhoon, Breeze and NNTPRelay).  Cleanfeed
looks for duplicated messages, repeated patterns, and known spamming
sites and domains.  It can be configured to block binary posts to
non-binary newsgroups, to cancel already-rejected articles, and to
reject some spamming from local users.

Install the cleanfeed package if you need a spam filter for a Usenet
news server.

%prep
%setup -q
%patch0 -p1 -b .rh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/news
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/usr/bin/filter
install -m 0644 cleanfeed.conf $RPM_BUILD_ROOT/etc/news/
install -m 0644 cleanfeed.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 0750 cleanfeed \
	$RPM_BUILD_ROOT/usr/bin/filter/filter_innd.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,news,news) %config /etc/news/cleanfeed.conf
%attr(-,root,root) %{_mandir}/man8/cleanfeed.8*
%attr(775,news,news) %dir /usr/bin/filter
%attr(-,news,news) /usr/bin/filter/filter_innd.pl

%changelog
* Sun Aug  6 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add dir /usr/bin/filter/ with perms like in inn

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}
- buildable as non-root

* Thu Mar 02 2000 Cristian Gafton <gafton@redhat.com>
- fix location to match inn-2.2.2 in /usr/bin/filter

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- don't require perl-MD5 anymore (that was merged in the main perl package)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- update to 0.95.7b

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- spec file cleanups
- patch to get rod of /usr/local/bin/perl

* Mon Apr 13 1998 Bryan C. Andregg <bandregg@redhat.com>
- first package

